Package org.italiangrid.voms.request

# Interface VOMSESLookupStrategy

All Known Implementing Classes:
  `BaseVOMSESLookupStrategy`, `DefaultVOMSESLookupStrategy`

public interface VOMSESLookupStrategy
An strategy for building a list of `File` objects which will provide access to the local trusted VOMS server contact information.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`List<File>`
`lookupVomsesInfo()`
`List<String>`
`searchedPaths()`

## Method Details

### lookupVomsesInfo

List<File> lookupVomsesInfo()

Returns:
  a `List` of `File` objects that can be used to parse VOMSES information.

### searchedPaths

List<String> searchedPaths()

Returns:
  a `List` of the paths that have been looked up to find `File` objects that can be used to parse VOMSES information.